/***************************************************************************
 *            contactsselection.h
 *
 *  Tue Jun  7 02:30:03 2005
 *  Copyright  2005  User
 *  Email
 ****************************************************************************/

#ifndef _CONTACTSSELECTION_H
#define _CONTACTSSELECTION_H

#include "icons.h"
#include "contactlist.h"
#include "imownerdaemon.h"
#include "userutilities.h"
#include "gettext.h"

class contactsSelection
{
	public:
		contactList *contacts;
		GtkWidget	*widget,
					*okayButton;
		GList		*selectedEntries;	
	
		contactsSelection(IMUserDaemon *selectedUser);
		~contactsSelection();
		GList* getSelectedEntries(contactListEntry* root = NULL, GList* results = NULL);
	
	private:
		GtkWidget	*selectAllButton,
					*selectNoneButton;
};

#endif /* _CONTACTSSELECTION_H */
